Debian Bug report logs - #416709
libmagic1: Many non-standards conforming MIME types

version graph

Package: file; Maintainer for file is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for file is src:file.

Reported by: Ryan Underwood <nemesis@icequake.net>

Date: Thu, 29 Mar 2007 22:21:14 UTC

Severity: normal

Tags: patch

Found in versions file/4.17-5, file/4.20-3, file/4.21-3

Fixed in version 4.23-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmagic1: Many non-standards conforming MIME types
Date: Thu, 29 Mar 2007 17:20:46 -0500
[Message part 1 (text/plain, inline)]
Package: file
Version: 4.17-5
Severity: normal
Tags: patch


Hello,
Please consider the following scripts and the log produced.  It
identified many problems with the current magic MIME database that do
not conform to Internet standards.

You can run the scripts yourself on magic.mime to check it.

Comments welcome...

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libmagic1 depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  zlib1g                      1:1.2.3-13   compression library - runtime

libmagic1 recommends no packages.

Versions of packages file depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries

-- no debconf information
[log (text/plain, attachment)]
[get_iana_types.pl (application/x-perl, attachment)]
[mimecheck.pl (application/x-perl, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 416709@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Debian Bug Tracking System <416709@bugs.debian.org>
Subject: libmagic1: results and patch for libmagic 4.20
Date: Fri, 30 Mar 2007 09:37:42 -0500
[Message part 1 (text/plain, inline)]
Package: file
Version: 4.20-3
Followup-For: Bug #416709


Hello,
I made some fixes to my script, and ran it against libmagic 4.20.  Here
are the results and what I believe is everything I can fix in the patch.
Some of the remaining problems will have to be decided by someone in a
more authoritative position.  But this takes care of most of the
non-standard behavior of libmagic presently.


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libmagic1 depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  zlib1g                      1:1.2.3-13   compression library - runtime

libmagic1 recommends no packages.

Versions of packages file depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries

-- no debconf information
[log (text/plain, attachment)]
[get_iana_types.pl (application/x-perl, attachment)]
[mimecheck.pl (application/x-perl, attachment)]
[magic.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #15 received at 416709@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Ryan Underwood <nemesis@icequake.net>, 416709@bugs.debian.org
Subject: Re: Bug#416709: libmagic1: results and patch for libmagic 4.20
Date: Fri, 30 Mar 2007 17:00:42 +0200
Ryan Underwood wrote:
> I made some fixes to my script, and ran it against libmagic 4.20. 

Thank you for your work, I will soon take care about it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #20 received at 416709@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Debian Bug Tracking System <416709@bugs.debian.org>
Subject: libmagic1: use apache to help determine best subtype for non-registered types
Date: Fri, 30 Mar 2007 10:21:15 -0500
[Message part 1 (text/plain, inline)]
Package: file
Version: 4.20-3
Followup-For: Bug #416709


Hello,
I improved my script to query the Apache mime.types database for "de
facto" MIME types for non-registered types.  This provided a few more
fixes for x- types that are now consistent with Apache.  This is the
best patch I have now.  Most of the rest of the warnings are spurious
except for the RealMedia one, I have no idea what it should be.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libmagic1 depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  zlib1g                      1:1.2.3-13   compression library - runtime

libmagic1 recommends no packages.

Versions of packages file depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries

-- no debconf information
[log (text/plain, attachment)]
[mimecheck.pl (application/x-perl, attachment)]
[magic.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to nemesis@icequake.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #25 received at 416709@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: 416709@bugs.debian.org
Subject: script license
Date: Fri, 30 Mar 2007 10:37:53 -0500
The scripts can be modified and redistributed under the Artistic
license, as in /usr/share/common-licenses/Artistic

-- 
Ryan Underwood, <nemesis@icequake.net>



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to nemesis@icequake.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #30 received at 416709@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: 416709@bugs.debian.org
Subject: script license (signed)
Date: Fri, 30 Mar 2007 10:40:06 -0500
[Message part 1 (text/plain, inline)]
Sorry, I forgot to sign last mail.

The scripts can be modified and redistributed under the Artistic
license, as in /usr/share/common-licenses/Artistic

-- 
Ryan Underwood, <nemesis@icequake.net>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#416709; Package file. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #35 received at 416709@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <416709@bugs.debian.org>
Subject: file: This patch has been applied upstream, will be in 4.22
Date: Sun, 18 Nov 2007 21:10:47 +0000
Package: file
Version: 4.21-3
Followup-For: Bug #416709

This patch has been applied upstream, and will be in the next release
(should be 4.22).

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'experimental'), (600, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages file depends on:
ii  libc6                         2.6.1-1+b1 GNU C Library: Shared libraries
ii  libmagic1                     4.21-3     File type determination library us

file recommends no packages.

-- no debconf information




Reply sent to daniel@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryan Underwood <nemesis@icequake.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 416709-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 303375-done@bugs.debian.org, 416709-done@bugs.debian.org
Date: Sat, 12 Jan 2008 23:33:52 +0100
Version: 4.23-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:22:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.